#include <bits/stdc++.h>

using namespace std;

int apsolutno(int a){
    return a>0?a:-a;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string tmp;
    cin >> tmp;
    char x = tmp[0],y = tmp[1];
    int bx,by;
    scanf("%d%d",&bx,&by);
    if(apsolutno(bx-by)<=1){
        char manji,veci;
        int brveci,brmanji;
        if(bx>by){
            manji=y;
            brmanji=by;
            veci=x;
            brveci=bx;
        }
        else{
            manji=x;
            brmanji=bx;
            veci=y;
            brveci=by;
        }
        for(int i=0;i<brmanji;++i){
            printf("%c%c",veci,manji);
        }
        if(brveci!=brmanji)
            printf("%c",veci);
    }else{
        printf("nemoguce");
    }

    return 0;
}